//
//  XTPrefsUrlToStringValueTransformer.m
//  XTads
//
//  Created by Rune Berg on 10/04/2018.
//  Copyright © 2018 Rune Berg. All rights reserved.
//

#import "XTPrefsUrlToStringValueTransformer.h"


@implementation XTPrefsUrlToStringValueTransformer

- (NSURL *)toPrefsValue:(NSString *)persistedValue
{
	NSURL *res;
	if (persistedValue != nil) {
		res = [NSURL URLWithString:persistedValue];
	} else {
		res = nil;
	}
	return res;
}

- (NSString *)toPersistedValue:(NSURL *)prefsValue
{
	NSString *res;
	if (prefsValue != nil) {
		res = [prefsValue absoluteString];
	} else {
		res = @"";
	}
	return res;
}

@end
